version in VCS is newer than in repository, is it time to upload?

package:
ruby-recaptcha
severity:
normal
created:
2019-08-13
last updated:
2020-04-03

vcswatch reports that this package seems to have a new changelog entry (version 4.11.1-3, distribution UNRELEASED) and new commits in its VCS. You should consider whether it's time to make an upload.

Here are the relevant commit messages:
commit 85abe6a94ac778d3b72a4b2c826acdfab868926e
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Sat Mar 14 17:59:09 2020 +0000

    Update standards version to 4.4.1, no changes needed.
    
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

commit a70ec91a485f56daaba06555f1c0d7917c13efce
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Sat Mar 14 17:58:42 2020 +0000

    Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
    
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html

commit 43e52ed15750b0a84e20455d5309d91a1cd86b03
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Sat Mar 14 17:58:12 2020 +0000

    Set debhelper-compat version in Build-Depends.
    
    Fixes: lintian: uses-debhelper-compat-file
    See-also: https://lintian.debian.org/tags/uses-debhelper-compat-file.html

commit 40cf6cd49f07d31d5e3417efb3e86a6d6c0f7adf
Author: Debian Janitor <janitor@jelmer.uk>
Date:   Sat Mar 14 17:57:44 2020 +0000

    Bump debhelper from old 11 to 12.
    
    Fixes: lintian: package-uses-old-debhelper-compat-version
    See-also: https://lintian.debian.org/tags/package-uses-old-debhelper-compat-version.html

commit 4dd401f85cab7b1a5877d328de89b0616c444706
Author: Utkarsh Gupta <guptautkarsh2102@gmail.com>
Date:   Tue Aug 13 07:04:45 2019 +0530

    Update d/ch

commit 932aa28c980633034f7bfa3597ed47ec9bcd30aa
Author: Utkarsh Gupta <guptautkarsh2102@gmail.com>
Date:   Tue Aug 13 07:04:44 2019 +0530

    Add salsa-ci.yml